<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class Sight extends Datamodul
{
  public $toolid = '';
  public $version = 0;
  public $description = '';
  public $header = '';
  public $body = '';
  public $footer = '';
  public $nodata = '';
  public $nocolumn = '';

  public $cacheKey;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'tool_id':
      case 'toolid':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}